summaryrefslogtreecommitdiff
path: root/net-misc/arpsponge/files/arpsponge.initd
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/arpsponge/files/arpsponge.initd')
-rw-r--r--net-misc/arpsponge/files/arpsponge.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/net-misc/arpsponge/files/arpsponge.initd b/net-misc/arpsponge/files/arpsponge.initd
new file mode 100644
index 000000000000..ccb911ca6968
--- /dev/null
+++ b/net-misc/arpsponge/files/arpsponge.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ARP sponge"
+ start-stop-daemon --start --quiet --exec /usr/sbin/arpsponge \
+ -- --daemon ${ARPSPONGE_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ARP sponge"
+ start-stop-daemon --stop --quiet -n arpsponge
+ eend $?
+}